gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType Attributes to use for a newly-created window. None.
- Property
  2.12.0.0
  System.Obsolete("Replaced by Colormap property.")
  Gdk.Colormap Colormap for the window. To be added: an object of type 'Gdk.Colormap' Replaced by .
- Property
  2.12.0.0
  Gdk.Colormap Colormap for the window. an object of type 'Gdk.Colormap'
- Property
  2.12.0.0
  System.Obsolete("Replaced by Cursor property.")
  Gdk.Cursor Cursor for the window (see ). Cursor for the window. (see ). Replaced by .
- Property
  2.12.0.0
  Gdk.Cursor Cursor for the window (see ). Cursor for the window. (see ).
- Field
  2.12.0.0
  System.Int32 Event mask. See .
- Field
  2.12.0.0
  System.Int32 Height of the window. None.
- Property
  2.12.0.0
  Gdk.EventMask Event mask. a See .
- Method
  2.12.0.0
  Gdk.WindowAttr `` raw unmanaged pointer. Internal method. A new WindowAttr. Internal method, do not use this.
- Field
  2.12.0.0
  System.Boolean True to bypass the window manager. None.
- Field
  2.12.0.0
  System.String Title of the window (for toplevel windows). None.
- Field
  2.12.0.0
  Gdk.WindowTypeHint Type Hints for the window.
- Property
  2.12.0.0
  System.Obsolete("Replaced by Visual property.")
  Gdk.Visual The for the window. a for the window. Replaced by .
- Property
  2.12.0.0
  Gdk.Visual The for the window. a for the window.
- Field
  2.12.0.0
  Gdk.WindowClass InputOutput (for a normal window) or InputOnly (for a invisible window that receives events). None.
- Field
  2.12.0.0
  System.Int32 Width of the window. None.
- Field
  2.12.0.0
  Gdk.WindowType Type of the window. None.
- Field
  2.12.0.0
  System.String Don't use. Don't use.
- Field
  2.12.0.0
  System.String Don't use. Don't use.
- Field
  2.12.0.0
  System.Int32 X coordinate relative to parent window. (see ). None.
- Field
  2.12.0.0
  System.Int32 Y coordinate relative to parent window (see ). None.
- Field
  2.12.0.0
  Gdk.WindowAttr A zeroed structure. None.